Bug 405171 - Review Request: CriticalMass - SDL/OpenGL space shoot'em up game also known as critter
Review Request: CriticalMass - SDL/OpenGL space shoot'em up game also known a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 407571
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 16:58 EST by Hans de Goede
Modified: 2007-12-18 04:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 04:11:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-11-29 16:58:12 EST
Spec URL: http://people.atrpms.net/~hdegoede/CriticalMass.spec
SRPM URL: http://people.atrpms.net/~hdegoede/CriticalMass-1.0.2-1.fc9.src.rpm
Description:
Critical Mass (aka Critter) is an SDL/OpenGL space shoot'em up game. Your
world has been infested by an aggressive army of space critters. Overrun and   
unprepared, your government was unable to defend its precious resources. As
a last effort to recapture some of the "goodies", you have been placed into
a tiny spacecraft and sent after them.
Comment 1 Patrice Dumas 2007-11-29 17:46:44 EST
tinyxml should be packaged separately.

The source timestamp isn't kept:
-rw-rw-r-- 1 dumas dumas 5122126 jui 16  2006 CriticalMass-1.0.2.tar.bz2
-rw-rw-r-- 1 dumas dumas 5122126 nov 29 21:41 ../SOURCES/CriticalMass-1.0.2.tar.bz2

I suggest using wget -N or spectool -g or the corresponding curl
option to get the file.

I suggest using
%{_mandir}/man6/critter.6*
Comment 2 Hans de Goede 2007-12-01 17:41:36 EST
Thanks for the input, all fixed, here is a new version:
Spec URL: http://people.atrpms.net/~hdegoede/CriticalMass.spec
SRPM URL: http://people.atrpms.net/~hdegoede/CriticalMass-1.0.2-2.fc9.src.rpm

See bug 407571 for the tinyxml review
Comment 3 Patrice Dumas 2007-12-17 04:15:00 EST
* rpmlint says (ignorable)
CriticalMass.i386: W: dangling-relative-symlink /usr/bin/critter-wrapper
opengl-game-wrapper.sh
* follow packaging guidelines 
* free software, license included
* match upstream
e2aff114bffa717fb79c82e1dc473ebe  CriticalMass-1.0.2.tar.bz2
* %files section right

APPROVED
Comment 4 Hans de Goede 2007-12-17 04:52:37 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name:      CriticalMass
Short Description: SDL/OpenGL space shoot'em up game also known as critter
Owners:            jwrdegoede
Branches:          F-7 F-8 devel
InitialCC:         <empty>
Cvsextras Commits: yes


Comment 5 Tom "spot" Callaway 2007-12-17 11:16:05 EST
cvs done.
Comment 6 Hans de Goede 2007-12-18 04:11:42 EST
Imported and build for devel, I will build and push it as an update for F-7 and
F-8 as soon as tinyxml becomes available in the F-7 and F-8 buildroots.

Note You need to log in before you can comment on or make changes to this bug.